Commit 77657347 by DeX77

Merge ../current

parents 8cfb5714 cdfb9ae4
......@@ -2,7 +2,7 @@
# Maintainer: crazy <crazy@frugalware.org>
pkgname=firejail
pkgver=0.9.48
pkgver=0.9.50
pkgrel=1
pkgdesc="Linux namespaces sandbox program"
depends=('glibc>=2.25')
......@@ -12,6 +12,6 @@ backup=('etc/firejail/firejail.config' 'etc/firejail/login.users')
_F_sourceforge_ext=".tar.xz"
_F_archive_grepv="rc"
Finclude sourceforge
sha1sums=('cc1ed1582578488751a89e5c4e5e876ca4167f09')
sha1sums=('28ee81e3ddb37cef350ff7830df2b1e9e7634889')
# optimization OK
......@@ -2,14 +2,14 @@
# Maintainer: kikadf <kikadf.01@gmail.com>
pkgname=foomatic-db-nonfree
pkgver=20170905
pkgver=20170911
pkgrel=1
pkgdesc="Foomatic - database extension consisting of manufacturer-supplied PPD files released under non-free licenses."
url="http://www.linuxfoundation.org/collaborate/workgroups/openprinting/databasefoomatic"
depends=('perl' 'libxml2' 'xz')
source=("http://www.openprinting.org/download/foomatic/$pkgname-$pkgver.tar.gz")
up2date="Flasttar http://www.openprinting.org/download/foomatic"
sha1sums=('b3d900588d0d51421d6be9ce04b1bb4903630954')
sha1sums=('396fd63702343db34115112bdca236c13aa010eb')
makedepends=('cups')
archs=('x86_64')
groups=('apps-extra')
......
......@@ -3,7 +3,7 @@
# Contributor: bouleetbil <bouleetbil@frogdev.info>
pkgname=foomatic-db
pkgver=20170905
pkgver=20170911
pkgrel=1
pkgdesc="The collected knowledge about printers, drivers, and driver options in XML files, used by foomatic-db-engine to generate PPD files."
url="http://www.linuxfoundation.org/collaborate/workgroups/openprinting/databasefoomatic"
......@@ -14,7 +14,7 @@ depends=('perl' 'libxml2' 'xz')
makedepends=('cups')
archs=('x86_64')
groups=('apps-extra')
sha1sums=('d91c648fe5b8417cab33213d88db12f3cb550dc3')
sha1sums=('33dab26fdf8ae8a5e21e52081c0ac63840e29c1e')
provides=('foomatic-filters-ppds')
replaces=("${provides[@]}")
conflicts=("${provides[@]}")
......
......@@ -2,7 +2,7 @@
# Maintainer: Slown <slown@frugalware.org>
pkgname=inxi
pkgver=2.3.37
pkgver=2.3.38
pkgrel=1
pkgdesc="inxi is a command line system information tool."
url="http://smxi.org/docs/inxi.htm"
......@@ -14,7 +14,7 @@ archs=('x86_64')
options=('noversrc' 'force')
up2date="lynx -dump https://raw.githubusercontent.com/smxi/inxi/master/inxi.changelog | grep -m1 'Version:' | sed 's/.*: \(.*\)/\1/'"
source=(https://github.com/smxi/inxi/archive/master.zip)
sha1sums=('26a2fbe9497ade36ccd99ec136af4a039d923139')
sha1sums=('54ea8edb48f3896e4bb98771d4ef7ba511e1e8b0')
build()
{
......
......@@ -6,7 +6,7 @@
## check libmediainfo before bumping this -- crazy --
pkgname=mediainfo
pkgver=0.7.98
pkgver=0.7.99
pkgrel=1
pkgdesc="MediaInfo supplies technical and tag information about a video or audio file."
depends=("libmediainfo>=$pkgver")
......@@ -20,7 +20,7 @@ source+=(mediainfo-qt5.patch)
up2date="Flasttar http://mediainfo.sourceforge.net/fr/Download/Source"
groups=('apps-extra')
archs=('x86_64')
sha1sums=('52cbbf061a1cdb1a741c9b5060c54126833644aa' \
sha1sums=('651d52a4e3097f6c38e2ba37bb9e74f7016c21b7' \
'b5f16f3683f09b2bec4e1d6b1fcf2b5032de7d7a')
subpkgs=("$pkgname-qt")
......
......@@ -3,7 +3,7 @@
pkgname=systemd-swap
pkgver=3.5.1
pkgver=3.5.2
pkgrel=1
pkgdesc="Script for creating hybrid swap space from zram swaps, swap files and swap partitions."
groups=('apps-extra')
......@@ -18,7 +18,7 @@ _F_systemd_units=(systemd-swap=e)
_F_github_author="Nefelim4ag"
_F_github_tag=y
Finclude systemd github
sha1sums=('86395a9506157642bb36ecd555e3bd89f0ade89d')
sha1sums=('89db6680e582805eacf946c1f1806b0928b5e88f')
build() {
Fcd
......
......@@ -2,7 +2,7 @@
# Maintainer: DeX77 <dex77@frugalware.org>
pkgname=nodejs
pkgver=8.4.0
pkgver=8.5.0
pkgrel=1
pkgdesc='Evented I/O for V8 javascript'
archs=('i686' 'x86_64')
......@@ -13,7 +13,7 @@ depends=('python' 'openssl' 'zlib' 'icu4c>=58.1')
makedepends=('ca-certificates')
source=(http://nodejs.org/dist/v${pkgver}/node-v${pkgver}.tar.gz \
sysconfig-dir.patch )
sha1sums=('6a02da5dbc96f0aa7c6914ca596bbbd0b25f2555' \
sha1sums=('a0f9ed241f8db36536984b8c5290e0a3c5a414b2' \
'47d7fcf38611bb439545bfe9ab78604219d13687')
_F_archive_name="node"
Fpkgversep="-v"
......
......@@ -3,7 +3,7 @@
pkgname=calamares-frugalware
pkgver=3.1.4
pkgrel=2
pkgrel=3
pkgdesc="Distribution-independent installer framework"
archs=("x86_64")
groups=('kde5-extra')
......@@ -13,12 +13,12 @@ _F_kde_defaults=0
Finclude kf5 github
source+=(calamares-locale.service \
calamares-locale-setup \
calamares-frugalware.desktop \
calamares-frugalware.svg \
49-nopasswd_calamares.rules \
0001-packages-virtualbox-and-pacman-flags-workarounds.patch \
0002-workaround-vbox-with-efi.patch \
do-not-force-any-autologin-group.patch)
do-not-force-any-autologin-group.patch \
https://github.com/abucodonosor/calamares/commit/457fa9fab88b7b0bed83ff94c4084ce1b669b94d.patch)
depends=('kpmcore>=3.1.2' 'qt5-webengine>=5.9.1' 'pyqt5-python3>=5.9' 'libboost' \
"kcoreaddons>=$_F_kf5_full" "kconfig>=$_F_kf5_full" \
"ki18n>=$_F_kf5_full" "kiconthemes>=$_F_kf5_full" \
......@@ -29,12 +29,12 @@ _F_cd_path="calamares-$pkgver"
sha1sums=('500f7913f556eb60f706e865f4bf3d245b1c3cb2' \
'a496ee65a14fad4c96fe2a51d59f5769a9286411' \
'abd9098e0b3f988182a4b0f3173bffb9f0f7c215' \
'10a6590d410507c48ed84876ff2ebd380c793034' \
'134ca1a53f3b628ba459ec450e84ea0b4f0c11f2' \
'02e4c49a4ff57712ffa94dbb79abc1dd701692c7' \
'67fead29419ba303c096a0473d23b701e321e760' \
'8ea80c581ca29a49e685c4809bac03e8c607e555' \
'66a3cb2ffca37cd1da59d7ce747b1f33290e5f5d')
'66a3cb2ffca37cd1da59d7ce747b1f33290e5f5d' \
'd0699563bd84792db1df64c38c03ffa912ad11f1')
## don't install stuff we never need..
## - dummy* -- no need to be installed
......@@ -59,7 +59,6 @@ build() {
Frm usr/share/applications/calamares.desktop
## E is special need to Fsed in fvbe .. grmpf
Finstall 0644 usr/share/applications/calamares-frugalware.desktop
Finstall 0644 usr/share/icons/hicolor/scalable/apps/calamares-frugalware.svg
## sudo to exec cala
......
[Desktop Entry]
Type=Application
Version=1.0
Name=Install FrugalWare
GenericName=FrugalWare Installer
Keywords=calamares;system;installer;frugalware
TryExec=calamares
Exec=pkexec /usr/bin/calamares -d
Comment=Calamares — System Installer for FrugalWare
Icon=calamares-frugalware
Terminal=false
StartupNotify=true
Categories=Qt;System;
......@@ -4,7 +4,7 @@
# Contributor: Slown <slown@frugalware.org>
pkgname=libmediainfo
pkgver=0.7.98
pkgver=0.7.99
pkgrel=1
pkgdesc="shared library for mediainfo"
depends=('libzen>=0.4.36' 'curl' 'libmms')
......@@ -17,7 +17,7 @@ Fconfopts+=" --enable-shared --with-libcurl --with-libmms"
Finclude sourceforge
up2date="Flasttar http://mediainfo.sourceforge.net/fr/Download/Source"
_F_cd_path="MediaInfoLib/Project/GNU/Library"
sha1sums=('0babbf8c9f9bc136b48399524dca3569570e57db')
sha1sums=('f7716b6dc771b4833dbd430d4d38527c893bb89b')
options=('static')
......
......@@ -3,7 +3,7 @@
# Contributor: Miklos Vajna <vmiklos@frugalware.org>
pkgname=fontconfig
pkgver=2.12.4
pkgver=2.12.5
pkgrel=1
pkgdesc="A library for configuring and customizing font access"
url="http://fontconfig.org/"
......@@ -15,7 +15,7 @@ archs=("x86_64")
up2date="lynx -dump http://fontconfig.org/release|Flasttar"
options=('force')
source=($url/release/$pkgname-$pkgver.tar.gz 25-no-bitmap.conf)
sha1sums=('bd47252383fff73d51ebc6bb562f035e5caa7549' \
sha1sums=('cee7ad11e2b4316de9ea9946c71eed376ff2a4c6' \
'72ed9989eb96475b0c077dda2e47188583d63420')
## NOTE: !!! DO _NOT_ BUMP , CHANGE or whatever else without permission from m8r or vmiklos !!! ##
......
......@@ -2,7 +2,7 @@
# Maintainer: Melko <melko@frugalware.org>
pkgname=libraw
pkgver=0.18.2
pkgver=0.18.3
pkgrel=1
pkgdesc="A library for reading RAW files obtained from digital photo cameras."
url="http://www.libraw.org/"
......@@ -13,7 +13,7 @@ _F_archive_name="LibRaw"
_F_archive_grepv="Beta"
up2date="Flasttar $url/download"
source=(http://www.libraw.org/data/$_F_archive_name-${pkgver}.tar.gz LibRaw-0.17.1-CVE-2015-8366-8367.patch)
sha1sums=('cd624e96d0c8332b4cb4f9f50e406612b52dbf9c' \
sha1sums=('8c56e1b01f1a28f6c4e9353c84848bda45587fee' \
'0502cef69ba89d4ecbd712ba1446fd1b12d8f5dc')
unset MAKEFLAGS
options+=('force')
......
# Compiling Time: 0.04 SBU
# Maintainer: crazy <crazy@frugalware.org>
## please do not bump to .9xx versions
## these are alpha/beta/rc
pkgname=libinput
pkgver=1.8.1
pkgver=1.8.2
pkgrel=1
pkgdesc="A library to handle input devices in Wayland compositors and to provide a generic X.Org input driver"
url="http://xorg.freedesktop.org"
......@@ -17,7 +16,7 @@ makedepends=('systemd>=231-13' 'x11-protos' 'libunwind>=1.2-2' 'doxygen' 'graphv
_F_archive_grepv="\.9[0-9][0-9]" ## the .9xx are devel
source=(http://www.freedesktop.org/software/$pkgname/$pkgname-$pkgver.tar.xz)
up2date="Flasttar http://www.freedesktop.org/software/$pkgname/"
sha1sums=('db474adb583633d0c6318973370c21702b6e654d')
sha1sums=('1c55462eb598b91c9c360f31170a408fb8d38d22')
Fconfopts+=" --enable-event-gui \
--with-udev-dir=/lib/udev"
......
......@@ -3,7 +3,7 @@
# Contributor: darknekros <darknekros@gmail.com>
pkgname=atom
pkgver=1.19.6
pkgver=1.19.7
pkgrel=1
pkgdesc="Atom is a hackable text editor for the 21st century from GitHub."
depends=('libgnome-keyring' 'nodejs>=6.3.1-2' 'gconf' 'python' 'git' 'alsa-lib' 'libcups' \
......@@ -14,7 +14,7 @@ archs=('x86_64')
_F_github_tag_v=$pkgver
Finclude github
source+=(symbols-view-use-system-ctags.patch)
sha1sums=('11e0a74ed0fded4fd97e73d55634dfa7f1fd1892' \
sha1sums=('bf5387dac0084d050939927d6fb42e3b4636c407' \
'46e2d16197f14de0bcef451b8b4aef40d9642180')
build() {
export CC=gcc CXX=g++ || Fdie
......
......@@ -5,8 +5,8 @@
USE_GTK=${USE_GTK:-"y"}
pkgname=emacs
pkgver=25.2
pkgrel=2
pkgver=25.3
pkgrel=1
pkgdesc="An extensible, customizable, self-documenting real-time display editor"
url="http://www.gnu.org/software/emacs/"
depends=('ncurses>=6.0-3' 'imagemagick>=6.9.9' 'gnutls>=3.4.2')
......@@ -16,7 +16,7 @@ archs=('x86_64')
up2date="Flasttar http://ftp.gnu.org/pub/gnu/emacs/"
source=(ftp://ftp.gnu.org/gnu/emacs/$pkgname-$pkgver.tar.xz)
#signatures=($source.sig)
sha1sums=('3960d0b64031c645d98aafd4dc9ebf6f6ef4cf50')
sha1sums=('1cb4f39e9c0a3305fd62f936c7c95ff8e2924323')
_F_cd_path="$pkgname-$pkgver"
if Fuse GTK; then
......
......@@ -2,13 +2,13 @@
# Maintainer: DeX77 <dex77@frugalware.org>
pkgname=scudcloud
pkgver=1.62
pkgver=1.63
pkgrel=1
pkgdesc='A Slack client for Linux'
depends=('dbus-python3' 'pyqt5-python3>=5.9' 'qt5-webkit>=5.9.1' 'hunspell-en')
groups=('xapps-extra')
archs=('x86_64')
sha1sums=('9f3f6173056b60a5aee9d01b3169811d9d968fbd')
sha1sums=('0ced471f816ec6daca6d8cec7b73e4a69f89e202')
_F_github_author="raelgc"
_F_github_tag_v=yes
_F_python_version=python3
......
......@@ -3,7 +3,7 @@
# Contributor: bouleetbil <bouleetbil@frogdev.info>
pkgname=cups-filters
pkgver=1.17.3
pkgver=1.17.4
pkgrel=1
pkgdesc="Backends, filters and other software from CUPS distribution."
url="http://www.linuxfoundation.org/collaborate/workgroups/openprinting/group"
......@@ -14,7 +14,7 @@ archs=("x86_64")
groups=('xapps')
source=(http://www.openprinting.org/download/$pkgname/$pkgname-$pkgver.tar.xz)
up2date="Flasttar 'http://www.openprinting.org/download/$pkgname/'"
sha1sums=('fc4203ac4c4b9e27a6d2a79ddc5ecddb103552df')
sha1sums=('07cc280e991bd013afe211136ee670727f3ad6fa')
Fconfopts+=" --disable-static \
--disable-silent-rules \
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or sign in to comment